Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 759343002: sandbox: sandbox_linux_unittests enforces TSYNC on ChromeOS (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 6 months ago by leecam
Modified:
2 years, 5 months ago
CC:
chromium-reviews, jln+watch_chromium.org, Kees Cook
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Project:
chromium
Visibility:
Public.

Description

sandbox: sandbox_linux_unittests enforces TSYNC on ChromeOS Make Seccomp-bpf tsync support mandatory on ChromeOS now that all kernels support it. BUG= TEST=ChromeOS trybots Committed: https://crrev.com/d6b6dcb15f0d15d65de1decbb165afb427d570a8 Cr-Commit-Position: refs/heads/master@{#306673}

Patch Set 1 #

Total comments: 2

Patch Set 2 : Check for running on ChromeOS #

Patch Set 3 : Adding header #

Total comments: 4

Patch Set 4 : nits #

Messages

Total messages: 17 (4 generated)
leecam
PTAL
2 years, 6 months ago (2014-11-26 22:05:55 UTC) #2
leecam
keescook: Hey Kees, Jorge and I would like to make tsync support for ChromeOS mandatory. ...
2 years, 6 months ago (2014-11-26 22:08:49 UTC) #3
Jorge Lucangeli Obes
On 2014/11/26 22:08:49, leecam wrote: > keescook: Hey Kees, Jorge and I would like to ...
2 years, 6 months ago (2014-11-26 22:12:03 UTC) #4
Kees Cook
lgtm All the Chrome OS kernels should have tsync now, so yeah, go for it!
2 years, 6 months ago (2014-11-26 22:13:55 UTC) #6
jln (very slow on Chromium)
https://codereview.chromium.org/759343002/diff/1/sandbox/linux/bpf_dsl/bpf_dsl_more_unittest.cc File sandbox/linux/bpf_dsl/bpf_dsl_more_unittest.cc (right): https://codereview.chromium.org/759343002/diff/1/sandbox/linux/bpf_dsl/bpf_dsl_more_unittest.cc#newcode2271 sandbox/linux/bpf_dsl/bpf_dsl_more_unittest.cc:2271: SandboxBPF::SupportsSeccompThreadFilterSynchronization(); This is a very outdated API, you should ...
2 years, 6 months ago (2014-11-26 22:22:33 UTC) #8
leecam
Ok how about this... I ran this change on a few ChromeOS bots and all ...
2 years, 5 months ago (2014-12-03 17:01:32 UTC) #9
Jorge Lucangeli Obes
Two comment nits. Have you ran enough trybots to cover all kernels? https://codereview.chromium.org/759343002/diff/40001/sandbox/linux/bpf_dsl/bpf_dsl_more_unittest.cc File sandbox/linux/bpf_dsl/bpf_dsl_more_unittest.cc ...
2 years, 5 months ago (2014-12-03 17:19:38 UTC) #10
leecam
https://codereview.chromium.org/759343002/diff/40001/sandbox/linux/bpf_dsl/bpf_dsl_more_unittest.cc File sandbox/linux/bpf_dsl/bpf_dsl_more_unittest.cc (right): https://codereview.chromium.org/759343002/diff/40001/sandbox/linux/bpf_dsl/bpf_dsl_more_unittest.cc#newcode2259 sandbox/linux/bpf_dsl/bpf_dsl_more_unittest.cc:2259: // On ChromeOS tsync is mandatory. On 2014/12/03 17:19:38, ...
2 years, 5 months ago (2014-12-03 17:25:23 UTC) #11
Jorge Lucangeli Obes
lgtm, assuming trybot coverage on all kernel versions.
2 years, 5 months ago (2014-12-03 17:28:35 UTC) #12
leecam
On 2014/12/03 17:19:38, Jorge Lucangeli Obes wrote: > Two comment nits. Have you ran enough ...
2 years, 5 months ago (2014-12-03 17:30:33 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/759343002/60001
2 years, 5 months ago (2014-12-03 20:54:23 UTC) #15
commit-bot: I haz the power
Committed patchset #4 (id:60001)
2 years, 5 months ago (2014-12-03 20:57:04 UTC) #16
commit-bot: I haz the power
2 years, 5 months ago (2014-12-03 20:57:53 UTC) #17
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/d6b6dcb15f0d15d65de1decbb165afb427d570a8
Cr-Commit-Position: refs/heads/master@{#306673}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06